package com.hxhq.business.enums.study;

/**
 * 表单状态：1：填报中；3：已提交；5：已通过；7：未通过 ；9：待关闭；11：已关闭
 * @author tanfei
 */
public enum StudyFormPreBdztEnum {

    /**
     * 填报中
     */
    tbz(1, "填报中"),

    /**
     * 已提交
     */
    ytj(3, "已提交"),

    /**
     * 已通过
     */
    ytg(5, "已通过"),

    /**
     * 未通过
     */
    wtg(7, "未通过"),

    /**
     * 待关闭
     */
    dgb(9, "待关闭"),

    /**
     * 已关闭
     */
    ygb(11, "已关闭");

    private int value;
    private String text;

    StudyFormPreBdztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static StudyFormPreBdztEnum getEnumByValue(int type) {
        for (StudyFormPreBdztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
